ChaChaTLS_Policy Class Reference

IETF ChaCha20 stream cipher implementation. More...

Inheritance diagram for ChaChaTLS_Policy:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 16 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 16 >
unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations. More...
bool | CanOperateKeystream () const
| Flag indicating. More...
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream. More...
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 16 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration. More...

## Detailed Description

IETF ChaCha20 stream cipher implementation.

Since
  Crypto++ 8.1

Definition at line 114 of file chacha.h.

The documentation for this class was generated from the following files:

- chacha.h
- chacha.cpp